Bug 116686 - reboot requested even though running kernel is the default
reboot requested even though running kernel is the default
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-24 07:19 EST by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:31:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the warning and a blue applet (39.70 KB, image/gif)
2004-02-24 07:53 EST, Daniel Veillard
no flags Details

  None (edit)
Description Alexandre Oliva 2004-02-24 07:19:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040217

Description of problem:
The applet will request a reboot into a newer, just-installed kernel,
even though the currently-running kernel is the one selected as the
one to be booted into by default.  In my case, there was a reason for
that: the newer kernel had problems, so I had to stick with an older
kernel.  I'd prefer if rhn-applet-gui wouldn't keep wasting cpu
blinking the red sign to tell me to reboot when rebooting won't change
anything.

Version-Release number of selected component (if applicable):
rhn-applet-2.1.7-1.1

How reproducible:
Always

Steps to Reproduce:
1.Install a new kernel with up2date
2.Tweak /boot/grub/grub.conf such that the currently-running kernel
will boot by default
3.Check for updates or log in again

Actual Results:  The applet will start blinking the red sign.  If I
click on it, it suggests me to reboot because there's a newer kernel
installed.

Expected Results:  Ideally it should realize the current kernel is the
one the box is going to boot into, and not bother to request a reboot.
 This should cover the common case of a newer kernel being installed
by up2date, since this will change the default, and that of the
sysadmin deciding to stick with an older kernel for the time being.

Additional info:
Comment 1 Daniel Veillard 2004-02-24 07:53:37 EST
Created attachment 97990 [details]
the warning and a blue applet
Comment 2 Daniel Veillard 2004-02-24 07:55:45 EST
The kernel mismatch information should not generate the
red and blinking behaviour, only the availability of updates
does that, at least that's what's happening on my setup
see the attached image. So I don't understand your request.

Daniel
Comment 3 Alexandre Oliva 2005-10-28 10:10:38 EDT
Hmm...  Maybe the applet code changed between my filing the bug report and your
test.  Or maybe it stops blinking after you click on it to get the very screen
you show in the attachment.

The point still holds that it shouldn't say I should reboot to test the newer
kernel if the kernel that's going to be rebooted into by default is the one that
I'm running, methinks.
Comment 4 John Thacker 2006-10-29 17:35:09 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 5 John Thacker 2006-10-29 17:48:42 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 6 John Thacker 2006-11-05 11:31:37 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.